Package Details: chromium-dev 88.0.4302.0-1

Git Clone URL: https://aur.archlinux.org/chromium-dev.git (read-only, click to copy)
Package Base: chromium-dev
Description: The open-source project behind Google Chrome (Dev Channel)
Upstream URL: http://www.chromium.org
Keywords: browser web
Licenses: BSD
Submitter: None
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 158
Popularity: 0.014752
First Submitted: 2010-05-17 09:04
Last Updated: 2020-11-02 18:49

Dependencies (32)

Required by (0)

Sources (4)

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12 13 14 15 16 17 ... Next › Last »

sl1pkn07 commented on 2018-03-30 16:00

try now

laenco commented on 2018-03-30 15:58

UPD: Sorry, found and fixed the issue. The lld package suddenly was not installed, nor present in chromium requirements.

Thank you for help!)

laenco commented on 2018-03-30 15:51

Got exactly the same error

$ /tmp/makepkg/chromium-dev/src/chromium-67.0.3381.0/third_party/ffmpeg/configure ......
clang is unable to create an executable file.
If clang is a cross-compiler, use the --enable-cross-compile option.
Only do this if you know what cross compiling means.
C compiler test failed.

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "ffbuild/config.log" produced by configure as this will help
solve the problem.

But I've found that error could be avoided by removing --extra-ldflags="-fuse-ld=lld"

I'll try to compile this way.

sl1pkn07 commented on 2018-03-30 15:18

can you run this by hand?

/tmp/makepkg/chromium-dev/src/chromium-67.0.3381.0/third_party/ffmpeg/configure --disable-everything --disable-all --disable-doc --disable-htmlpages --disable-manpages --disable-podpages --disable-txtpages --disable-static --enable-avcodec --enable-avformat --enable-avutil --enable-fft --enable-rdft --enable-static --enable-libopus --disable-bzlib --disable-iconv --disable-lzo --disable-network --disable-schannel --disable-sdl2 --disable-symver --disable-xlib --disable-zlib --disable-securetransport --disable-faan --disable-alsa --disable-autodetect --enable-decoder=vorbis,libopus,flac --enable-decoder=pcm_u8,pcm_s16le,pcm_s24le,pcm_s32le,pcm_f32le,mp3 --enable-decoder=pcm_s16be,pcm_s24be,pcm_mulaw,pcm_alaw --enable-demuxer=ogg,matroska,wav,flac,mp3,mov --enable-parser=opus,vorbis,flac,mpegaudio --extra-cflags="-I/usr/include/opus" --disable-linux-perf --x86asmexe=yasm --optflags="-O2" --enable-decoder=theora,vp8 --enable-parser=vp3,vp8 --enable-lto --enable-pic --cc=clang --cxx=clang++ --ld=clang --extra-ldflags="-fuse-ld=lld" --enable-decoder=aac,h264 --enable-demuxer=aac --enable-parser=aac,h264 --enable-decoder=mpeg4 --enable-parser=h263,mpeg4video --enable-demuxer=avi --enable-demuxer=amr --enable-decoder=amrnb,amrwb --enable-decoder=gsm_ms --enable-parser=gsm

laenco commented on 2018-03-30 07:11

Unable to compile latest change:

 -> Configure bundled ffmpeg
System information:
Host OS       : linux
Target OS     : linux
Host arch     : x64
Target arch   : x64
Parallel jobs : 8

Chromium skipped
Chrome skipped
ChromeOS configure/build:
Running /tmp/makepkg/chromium-dev/src/chromium-67.0.3381.0/third_party/ffmpeg/configure
 --disable-everything
 --disable-all
 --disable-doc
 --disable-htmlpages
 --disable-manpages
 --disable-podpages
 --disable-txtpages
 --disable-static
 --enable-avcodec
 --enable-avformat
 --enable-avutil
 --enable-fft
 --enable-rdft
 --enable-static
 --enable-libopus
 --disable-bzlib
 --disable-iconv
 --disable-lzo
 --disable-network
 --disable-schannel
 --disable-sdl2
 --disable-symver
 --disable-xlib
 --disable-zlib
 --disable-securetransport
 --disable-faan
 --disable-alsa
 --disable-autodetect
 --enable-decoder=vorbis,libopus,flac
 --enable-decoder=pcm_u8,pcm_s16le,pcm_s24le,pcm_s32le,pcm_f32le,mp3
 --enable-decoder=pcm_s16be,pcm_s24be,pcm_mulaw,pcm_alaw
 --enable-demuxer=ogg,matroska,wav,flac,mp3,mov
 --enable-parser=opus,vorbis,flac,mpegaudio
 --extra-cflags=-I/usr/include/opus
 --disable-linux-perf
 --x86asmexe=yasm
 --optflags="-O2"
 --enable-decoder=theora,vp8
 --enable-parser=vp3,vp8
 --enable-lto
 --enable-pic
 --cc=clang
 --cxx=clang++
 --ld=clang
 --extra-ldflags=-fuse-ld=lld
 --enable-decoder=aac,h264
 --enable-demuxer=aac
 --enable-parser=aac,h264
 --enable-decoder=mpeg4
 --enable-parser=h263,mpeg4video
 --enable-demuxer=avi
 --enable-demuxer=amr
 --enable-decoder=amrnb,amrwb
 --enable-decoder=gsm_ms
 --enable-parser=gsm
clang is unable to create an executable file.
If clang is a cross-compiler, use the --enable-cross-compile option.
Only do this if you know what cross compiling means.
C compiler test failed.

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "ffbuild/config.log" produced by configure as this will help
solve the problem.
Traceback (most recent call last):
  File "chromium/scripts/build_ffmpeg.py", line 769, in <module>
    sys.exit(main(sys.argv[1:]))
  File "chromium/scripts/build_ffmpeg.py", line 347, in main
    configure_args, options=options)
  File "chromium/scripts/build_ffmpeg.py", line 761, in ConfigureAndBuild
    do_build_ffmpeg('ChromeOS', chrome_os_flags)
  File "chromium/scripts/build_ffmpeg.py", line 741, in do_build_ffmpeg
    options.config_only, branding, configure_flags)
  File "chromium/scripts/build_ffmpeg.py", line 224, in BuildFFmpeg
    [os.path.join(FFMPEG_DIR, 'configure')] + configure_flags, cwd=config_dir)
  File "chromium/scripts/build_ffmpeg.py", line 93, in PrintAndCheckCall
    subprocess.check_call(argv, *args, **kwargs)
  File "/usr/lib/python2.7/subprocess.py", line 186, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/tmp/makepkg/chromium-dev/src/chromium-67.0.3381.0/third_party/ffmpeg/configure', '--disable-everything', '--disable-all', '--disable-doc', '--disable-htmlpages', '--disable-manpages', '--disable-podpages', '--disable-txtpages', '--disable-static', '--enable-avcodec', '--enable-avformat', '--enable-avutil', '--enable-fft', '--enable-rdft', '--enable-static', '--enable-libopus', '--disable-bzlib', '--disable-iconv', '--disable-lzo', '--disable-network', '--disable-schannel', '--disable-sdl2', '--disable-symver', '--disable-xlib', '--disable-zlib', '--disable-securetransport', '--disable-faan', '--disable-alsa', '--disable-autodetect', '--enable-decoder=vorbis,libopus,flac', '--enable-decoder=pcm_u8,pcm_s16le,pcm_s24le,pcm_s32le,pcm_f32le,mp3', '--enable-decoder=pcm_s16be,pcm_s24be,pcm_mulaw,pcm_alaw', '--enable-demuxer=ogg,matroska,wav,flac,mp3,mov', '--enable-parser=opus,vorbis,flac,mpegaudio', '--extra-cflags=-I/usr/include/opus', '--disable-linux-perf', '--x86asmexe=yasm', '--optflags="-O2"', '--enable-decoder=theora,vp8', '--enable-parser=vp3,vp8', '--enable-lto', '--enable-pic', '--cc=clang', '--cxx=clang++', '--ld=clang', '--extra-ldflags=-fuse-ld=lld', '--enable-decoder=aac,h264', '--enable-demuxer=aac', '--enable-parser=aac,h264', '--enable-decoder=mpeg4', '--enable-parser=h263,mpeg4video', '--enable-demuxer=avi', '--enable-demuxer=amr', '--enable-decoder=amrnb,amrwb', '--enable-decoder=gsm_ms', '--enable-parser=gsm']' returned non-zero exit status 1

collapse block don't work here (>_<)' : sorry for long log.

inder commented on 2018-03-22 20:12

Repository: https://github.com/archlinuxcn/repo/blob/master/README.md

francoism90 commented on 2018-03-18 17:52

Any repo available? I have tried to build the package but it takes hours for me.

francoism90 commented on 2018-03-18 10:18

Thanks! :)

sl1pkn07 commented on 2018-03-17 20:36

done

francoism90 commented on 2018-03-17 20:15

==> Validating source files with sha256sums... chromium-66.0.3350.0.tar.xz ... Passed chromium-launcher ... Skipped chromium-dev.svg ... Passed chromium-FORTIFY_SOURCE-r2.patch ... Passed chromium-clang-r2.patch ... Passed chromium-intel-vaapi_r16.diff.base64 ... FAILED chromium-widevine-r1.patch ... Passed chromium-exclude_unwind_tables_r3.patch ... Passed

Hmm, I'm I the only one getting the validate error?